Bug 105837 - 0 AD Graphics Corruption
Summary: 0 AD Graphics Corruption
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r600 (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact: Default DRI bug account
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-31 22:32 UTC by Sherif
Modified: 2018-12-02 12:30 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Output of $ DRI_PRIME=1 glxinfo. (54.05 KB, text/plain)
2018-04-04 15:00 UTC, Sherif
Details
Corruption is also in Game Options. (1.07 MB, image/png)
2018-04-04 15:16 UTC, Sherif
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sherif 2018-03-31 22:32:50 UTC
Description of problem:
Graphics at players' menu and technology tree are corrupted, when the AMD GPU is used.
When the Intel GPU is used, graphics are fine.

Version-Release number of selected component (if applicable):
Latest version available from FlatHub on the date of the creation of this report.
Also, the version from Fedora from the days of Fedora 26 is affected. I expect the current version from Fedora is also affected.

How reproducible:
Always.

Steps to Reproduce:
1. Install 0 AD from FlatHub.
2. Click the start button.
3. Right click on the application icon.
4. Click "Launch using Dedicated Graphics Card".

Additional info:
Distribution: 64-bit Fedora 27 with Gnome.
xorg-x11-drv-ati-7.9.0-3.fc27.x86_64 is installed.
Output of $ lspci | grep VGA:
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Thames [Radeon HD 7500M/7600M Series] (rev ff)
Comment 1 Sherif 2018-03-31 22:35:56 UTC
Screenshots can be found in the given URL.
Comment 2 Michel Dänzer 2018-04-04 14:30:13 UTC
Please attach the output of

 DRI_PRIME=1 glxinfo
Comment 3 Sherif 2018-04-04 15:00:14 UTC
Created attachment 138584 [details]
Output of $ DRI_PRIME=1 glxinfo.
Comment 4 Sherif 2018-04-04 15:16:26 UTC
Created attachment 138585 [details]
Corruption is also in Game Options.
Comment 5 Sherif 2018-12-02 12:30:03 UTC
I installed the KDE spin of 64-bit Fedora 29, updated everything, installed 0 AD from FlatHub then launched it using $ DRI_PRIME=1 flatpak run com.play0ad.zeroad, then found out that the bug was fixed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.